import { initGoogleAnalytics } from './analytics';
import { initGoogleTagManager } from './tag-manager';
import { initGTag } from './gtag';
import { initMatomo } from './matomo';

export const initSiteTracking = settings => {
    if (settings.type === 'analytics') {
        initGoogleAnalytics(settings);
    } else if (settings.type === 'tag-manager') {
        initGoogleTagManager(settings);
    } else if (settings.type === 'gtag') {
        initGTag(settings);
    } else if (settings.type === 'matomo') {
        initMatomo();
    }
};
